Package org.apache.sysds.runtime.ooc.cache.io

# Class OOCIOHandler.SourceReadResult

java.lang.Object
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.SourceReadResult

Enclosing interface:
  OOCIOHandler

public static class OOCIOHandler.SourceReadResult extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<OOCIOHandler.SourceBlockDescriptor>`
`blocks`
`final long`
`bytesRead`
`final OOCIOHandler.SourceReadContinuation`
`continuation`
`final boolean`
`eof`

## Constructor Summary

Constructors
Constructor
Description
`SourceReadResult(long bytesRead, boolean eof, OOCIOHandler.SourceReadContinuation continuation, List<OOCIOHandler.SourceBlockDescriptor> blocks)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bytesRead

public final long bytesRead

### eof

public final boolean eof

### continuation

public final OOCIOHandler.SourceReadContinuation continuation

### blocks

public final List<OOCIOHandler.SourceBlockDescriptor> blocks

## Constructor Details

### SourceReadResult

public SourceReadResult(long bytesRead, boolean eof, OOCIOHandler.SourceReadContinuation continuation, List<OOCIOHandler.SourceBlockDescriptor> blocks)